Download Tech Support Bundle

Download Tech Support Bundle
Download Tech Support Bundle

Downloads the generated tech support log bundle as a compressed archive (.tar.gz). The bundle contains logs from HCX Manager and optionally from fleet appliances, Sentinels, and database dumps.

Request
URI
GET
https://{server}:9443/api/admin/techSupportLogs/{fileName}
COPY
Path Parameters
string
fileName
Required

Tech support bundle file name (from job status response)

fileName example
hcx-techsupport-2025-11-13-10-30-45-abc123.tar.gz

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully downloaded tech support bundle

Returns file of type(s) application/octet-stream
Operation doesn't return any data structure

Response Headers

string
Content-Disposition

Attachment with original file name

string
Content-Type

Binary octet stream


400

Bad request - Invalid file name

Returns SimpleErrorMessage of type(s) application/json
{
    "message": "string"
}
string
message
Optional

Error message


404

File not found

Returns SimpleErrorMessage of type(s) application/json
{
    "message": "string"
}
string
message
Optional

Error message


500

Internal server error - Failed to read or stream file

Returns SimpleErrorMessage of type(s) application/json
"SimpleErrorMessage Object"
string
message
Optional

Error message


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/techSupportLogs/{fileName}